package zero1hd.rhythmbullet.ui.windows;

import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.scenes.scene2d.ui.Window;

public class PauseMenu extends Window {
	private Label label;
	private TextButton resumeButton;
	
	public PauseMenu(Skin skin) {
		super("Paused", skin, "tinted");
		defaults().pad(25f);
		label = new Label("Game is paused.", skin);
		add(label).spaceBottom(15f);
		row();
		
		resumeButton = new TextButton("Resume", skin);
		add(resumeButton);
		
		pack();
		
		setModal(true);
	}
	
	
	public TextButton getResumeButton() {
		return resumeButton;
	}
}
